package cn.hmsoft.hmplatform.wxtoken.util;

import cn.hmsoft.frame.module.FrameModuleConfig;
import cn.hmsoft.helper.BeanHelper;

public class WeixinTokenModuleConfig extends FrameModuleConfig {


	@Override
	public String setModule_name() {
		return WeixinTokenModuleParamUtil.ModuleName;
	}

	@Override
	public String setModule_version() {
		return WeixinTokenModuleParamUtil.ModuleVersion;
	}

	@Override
	public boolean restart() throws Exception {
		this.stop();
		Thread.sleep(5000);
		return this.start();
	}

	@Override
	protected boolean start() throws Exception {
		// 设置参数
		BeanHelper.setStaticFields(WeixinTokenModuleParamUtil.class, this.module.getParamMap());
		// 启动线程
		WeixinTokenModuleUtil.instance(true);
		return true;

	}

	@Override
	protected boolean stop() throws Exception {

		return true;
	}

}
